Black tooltip on notebook tab (gtk3)

Bug #1065941 reported by Julien Lavergne on 2012-10-12
36
This bug affects 7 people
Affects Status Importance Assigned to Milestone
Lubuntu Artwork
Fix Released
Undecided
Unassigned
lubuntu-artwork (Ubuntu)
Undecided
Julien Lavergne
Quantal
Undecided
Unassigned

Bug Description

[Impact]
This bug affects all GTK3 applications using the lubuntu-artwork.
It makes all tooltips quite unreadable (black on black), which is quite annoying, and affects many applications.

[Test Case]
- Open a GTK3 application (Evince for example)
- Hover on the toolbar to generate a tooltip
- See the tooltips black on black.

[Regression Potential]
I can't see any potential regression, since the patch only change this specific color.

Original bug report.
See the screenshot attached, tooltip on notebook tab (for example, gedit) are black with black background, which is difficult to read. I expect that it's written in white with black background.

Julien Lavergne (gilir) wrote :
Ubuntu QA Website (ubuntuqa) wrote :

This bug has been reported on the Ubuntu ISO testing tracker.

A list of all reports related to this bug can be found here:
http://iso.qa.ubuntu.com/qatracker/reports/bugs/1065941

tags: added: iso-testing
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in lubuntu-artwork (Ubuntu):
status: New → Confirmed
karl anliot (kanliot) wrote :

tooltips for play, stop buttons for GNOME Disks are grey on black

Walter Lapchynski (wxl) wrote :

ditto evince.

Julien Lavergne (gilir) wrote :

Fix committed upstream (thanks Rafael), it will probably be available shortly after the 12.10 as an update.

Changed in lubuntu-artwork:
status: New → Fix Committed
Changed in lubuntu-artwork:
status: Fix Committed → Fix Released
Julien Lavergne (gilir) on 2012-11-23
Changed in lubuntu-artwork (Ubuntu):
status: Confirmed → In Progress
assignee: nobody → Julien Lavergne (gilir)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package lubuntu-artwork - 0.35

---------------
lubuntu-artwork (0.35) raring; urgency=low

  * Backup current artwork items to 1210 items, and prepare 1304.
  * Update icon theme:
   - Fix dropbox icon (LP: #878121).
  * Update gtk3 theme:
   - Fix black tooltips (LP: #1065941).
  * debian/control:
   - Depends also on gtk2-engines-pixbuf along with gtk2-engines.
 -- Julien Lavergne <email address hidden> Fri, 23 Nov 2012 18:47:42 +0100

Changed in lubuntu-artwork (Ubuntu):
status: In Progress → Fix Released
Ioannis Vranos (cppdeveloper) wrote :

User solution that works:

Edit the file /usr/share/themes/Lubuntu-default/gtk-3.0/settings.ini,

and change the value

from:

ntooltip_bg_color:#000000

to: ntooltip_bg_color:#C0C0C0

On 04/12/12 16:00, Ioannis Vranos wrote:
> User solution that works:
>
> Edit the file /usr/share/themes/Lubuntu-default/gtk-3.0/settings.ini,
>
> and change the value
>
> from:
>
> ntooltip_bg_color:#000000
>
>
> to: ntooltip_bg_color:#C0C0C0
>
The original content of settings.ini should be:

[Settings]
gtk-color-scheme =
"base_color:#f7f7f7\nbg_color:#dcdcdc\ntooltip_bg_color:#666666\nselected_bg_color:#a2b8ca\ntext_color:#2c2c2c\nfg_color:#2c2c2c\ntooltip_fg_color:#ffffff\nselected_fg_color:#F5F5F5\nlink_color:#5590CC\nbg_color_dark:#c9c9c9\nfg_color_dark:#2c2c2c"
gtk-auto-mnemonics = 1

...so the tooltip background must be white :|

--

紳癒礁湖 (Rafael Laguna)
Lubuntu Artwork Team

Julien Lavergne (gilir) on 2012-12-10
description: updated
description: updated
description: updated

Hello Julien, or anyone else affected,

Accepted lubuntu-artwork into quantal-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/lubuntu-artwork/0.34.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in lubuntu-artwork (Ubuntu Quantal):
status: New → Fix Committed
tags: added: verification-needed

The fix for this bug has been awaiting testing feedback in the -proposed repository for quantal for more than 90 days. Please test this fix and update the bug appropriately with the results. In the event that the fix for this bug is still not verified 15 days from now, the package will be removed from the -proposed repository.

tags: added: removal-candidate
Ioannis Vranos (cppdeveloper) wrote :

I tested the -proposed repository artwork updates in both 32-bit and 64-bit installations of Lubuntu 12.10, and they work.

tags: added: verification-done
removed: iso-testing removal-candidate verification-needed

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package lubuntu-artwork - 0.34.1

---------------
lubuntu-artwork (0.34.1) quantal-proposed; urgency=low

  * usr/share/themes/Lubuntu-default:
   - Fix black font on gtk3 tooltips. (LP: #1065941)
 -- Julien Lavergne <email address hidden> Sun, 14 Oct 2012 14:31:28 +0200

Changed in lubuntu-artwork (Ubuntu Quantal):
status: Fix Committed → Fix Released
Ubuntu QA Website (ubuntuqa) wrote :

This bug has been reported on the Ubuntu ISO testing tracker.

A list of all reports related to this bug can be found here:
http://iso.qa.ubuntu.com/qatracker/reports/bugs/1065941

tags: added: iso-testing
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers